@import url('https://fonts.cdnfonts.com/css/carbona-test');

*{
    padding: 0;
    margin: 0;
    position: relative;
}

html, body{
    height: 100%;
    font-family: Verdana, Geneva, Tahoma, sans-serif;

}

/* ------------ Navegador ---------------------------------------------- */

nav{
    position: fixed;
    height: 50px;
    top: 0;
    left: 0;
    right: 0;
    background: #282864;
    z-index: 5000;
    text-align: center;

}

nav ul{
    display: inline-block;

}

nav li{
    float: left;
    display: block;
    top: 10px;

    margin: 0 50px;

    
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: white;
    
}



/* ------------ Titol ------------------------------------------------ */


h1{
    text-align: center;
    display: block;
    top: 115px;

    font-size: 100px;
    left: 50%;
    transform: translate(-50%,-50%);

    font-family: 'Carbona Test', sans-serif;
    font-family: 'Carbona Variable Test', sans-serif;

    font-weight: 500;
    font-style: normal;


    color: #282864;
}


/* ------------ Web de la pagina ------------------------------------------- */

.pagina{
    position: relative;
    top: 50px;
}

/* ------------ Video ------------------------------------------- */

#hero{
    position: relative;
    min-height: 90vh;
}

video {
    position: absolute;
    top: 0px;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.capa {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    opacity: 0.5;
    mix-blend-mode: overlay;
}





/* ------------ Secciones de cada pagina ----------------------------------- */

.p1{
    top: 55px;
    height: 950px;

}

.p2{
    background: #44B599;
    height: 250px;
}

.p3{
    background: #282864;

}

.p4{
    background: black;
    height: 250px ;
}





/* ------------ Articulo ------------------------------------------------------------- */

article{
    background-color: ;
}


/* ------------ Galeria ------------------------------------------- */

.galeria {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 10px;
    padding: 20px;
}

.galeria img {
    width: 100%;
    height: auto;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.galeria img:hover {
    transform: scale(1.05);
}





/* ------------ Responsive ------------------------------------------------------------- */




@media screen and (max-width:480px) {  
    
    html, body{
        overflow-x: hidden;
        width: 100%;

    }
    
    #hero{
        min-height: 28vh;
    }
    
    nav li{
        margin: 0 2vw;
    }

    h1{
        padding-top: 0px;
        top: 22px;
        font-size: 40px;
    }

    .p1{
        height: 247px;
    
    }

    .p2{
        height: 50px;
    }

    .p2 li{
        display: inline-block;
        width: 30%;
    }

    .p2 ul{
        width: 100%;
        padding-top: 16px;
        left: 18px;
    }

    
    .p3 .movil{
        display: none;
    }
    
    
    .publicitat .apptitol{
        height: 100px;
        background-color: ;
    }
    
    .publicitat .apptitol h1{
        font-size: 40px;
        top: 40px;

        font-weight: 500;
        font-style: bold;
    }
    

    .publicitat .contenido .imatges{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(150px, 2fr));
        gap: 10px;
        padding: 20px;
        right: 10px;
    }

    .publicitat .contenido .imatges img{
        width: 100%;
        height: auto;
        border-radius: 8px;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s;
    }

    .publicitat .contenido .imatges img:hover {
        transform: scale(1.05);
        z-index: 100;
    }


    

    .text p{
        background-color: white;
      border-radius: 5px;
      padding: 10px;
      width: calc(100% - 80px);
      margin: 0 5px 10px 5px;
      color: #29235c;
      font-size: 14px;
      line-height: 1.6;
    }

    .publicitat .contenido .text p{
        padding: 20px;
    }

    .publicitat .contenido .text{
        width: 380px;
    }

   
    #testeig{
        margin-left: 0 !important;
        left: -5px;
        min-height: 100vh !important;
            
        
    }
    
    .funcionament .reptes {
        margin-left: 0% !important;
    }

    .titolvideo h1{
        font-size: 40px !important;
    }

    #promovideo{
        margin-left: 0 !important;
        left: 33px;
        min-height: 100vh !important;
    }

    #promovideo video {
        height: 300px !important;
        width: 360px !important;
    }

    #presenvideo{
        position: absolute;
        margin-left: 0 !important;
        right: 200px !important ;
        min-height: 100vh !important;
        top: 380px !important;
    }

    #presenvideo video {
        height: 300px !important;
        left: 20px;
        width: 360px !important;
    }

    .dosvideos{
        background-color: #44B599;
        height: 1000px !important;
    }


    .p4 .contacte p{
        font-size: 11px;
        text-align: right;
        top: 50px;
    }

    .p4 .contacte img{
        width: 40%;
        top: 100px;
    }

    .contacte {
        text-align: center;
        height: 100px !important;
    }

    
    .contacte img {
        width: 100px !important;
        bottom: 0px !important;
        right: 130px;
    }
    
    .contacte:hover img {
        animation: none;
    }

    .contacte .xarxes p {
        opacity: 0;
    }
    
    #p4 .contact{
        top: 200px !important;
        left: 30% !important;
    }

    #p4 .contact p{
        font-size: 10px !important;
        width: 200px;
        right: 40px;
    }


}


/* ------------ Publicitat ------------------------------------------------------------- */

.contenido {
    background-color: ;
    gap: 20px;
    margin: 20px;
}

.publicitat img {
    width: 45%;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(245, 40, 145, 0.8);
    transition: transform 0.4s;
    padding: 10px;
}

.publicitat .contenido .imatges img:hover {
    transform: scale(1.01);
    z-index: 100;
}


.publicitat{
    background-color: #44B599;
}

.publicitat h1{
    font-size: 100px;
    font-weight: 500;
    font-style: normal;
    top: 100px;
    transform: translate(-50%,0%);
    color: #282864;
    height: 150px;
    margin-bottom: 100px;
}

.publicitat p {
    background-color: white;
    padding: 50px;
    line-height: 24px;
    color: #282864;
    border-radius: 8px;
}



/* ------------ imatges Testeig ------------------------------------------- */


.funcionament .reptes {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 2fr));
    gap: 10px;
    padding: 20px;
    right: 10px;
    float: left;
    margin-left: 5%;
}

.funcionament .reptes img{
    width: 100%;
    height: auto;
    border-radius: 8px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.funcionament .reptes img:hover {
    transform: scale(1.05);
    z-index: 100;
}

/* ------------ Video Testeig ------------------------------------------- */

.funcionament{
    background-color: ;
    overflow: hidden;
    
}

#testeig{
    position: relative;
    min-height: 90vh;
    width: 50vw;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: ;
    float: left;
    margin-left: 40%;
}

#testeig video {
    height: 750px;
    width: 400px;
}


.funcionament p{
    float: left;
    background-color: white;
      border-radius: 5px;
      padding: 20px;
      width: calc(100% - 80px);
      margin: 20px;
      color: #29235c;
      font-size: 14px;
      line-height: 1.6;

}

/* ------------ PDF ------------------------------------------------------------- */

a {
    color: #F03C82;
    text-decoration: none;
    font-weight: bold;
  }

.botopdf{
    display: inline-block;
    padding: 12px 24px;
    background-color: #F03C82;
    color: #ffffff;
    text-decoration: none;
    font-size: 16px;
    border-radius: 8px;
    font-weight: 500;
    transition: background-color 0.3s ease;
}

.botopdf:hover{
    background-color: #d03572;
}

/* ------------ video ------------------------------------------------------------- */

.dosvideos{
    background-color: #44B599;
    height: 2000px;
}

.titolvideo h1{
    font-size: 100px;
    font-weight: 500;
    font-style: normal;
    top: 100px;
    transform: translate(-50%,0%);
    color: #282864;
    height: 150px;
    margin-bottom: 100px;
}

#promovideo{
    position: relative;
    min-height: 90vh;
    width: 50vw;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: ;
    float: left;
    margin-left: 40%;
    right: 200px;
}

#promovideo video {
    height: 700px;
    width: 900px;
}

#presenvideo{
    position: relative;
    min-height: 90vh;
    width: 50vw;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: ;
    float: left;
    margin-left: 40%;
    right: 200px;
}

#presenvideo video {
    height: 700px;
    width: 900px;
}



/* ------------ Pie ------------------------------------------------------------- */


.contacte {
    width: 100%;
    float: left;
    text-align: center;
    position: relative;
    padding-bottom: 3%;
}

.contact {
    width: 33%;
    float: left;
}

.xarxes {
    width: 33%;
    float: left;
}

.imglogo {
    width: 33%;
    float: left;
}

.contacte .xarxes p {
    color: #282864;
    font-size: 15px;
    line-height: 1.6;
    top: -50%;
}

.contacte .contact p {
    color: #282864;
    font-size: 15px;
    text-align: left;
    display: block;
    margin: 0 auto;
    line-height: 1.6;
    margin-left: 20%;
}

.contacte img {
    width: 180px;
}

.contacte:hover img {
    animation: none;
}

